Subject: Re: [Fwd: [Bug 593249] emacs and acroread don't work properly after upgrading to 2.17.9]

From: Jan Djärv <[email-masked]>
Date: Sun, 30 Aug 2009 12:36:14 +0200

Glenn Morris skrev:
> retitle 4134 23.1; Problems with gtk+ >= 2.7.19
> stop
> 
> David Ronis wrote:
> 
>> Turns out the problem is in gtk+.  I've filed a bug report and this is
>> the last (relevant) comment on the bug.
> 
> Thanks for forwarding this information. Hopefully it will be useful to
> those Emacs developers who understand these things (Jan?).
> 
>> http://bugzilla.gnome.org/show_bug.cgi?id=593249
> [...]
>> --- Comment #3 from Alexander Larsson <[email-masked]> 2009-08-27
> [...]
>> Instead I would recommend adding some code to emacs that calls
>> gdk_x11_drawable_get_xid() on all "toplevel" Gtk+ widgets they put
>> in the buffer window. This will ensure these windows get their own X
>> window and should be totally backwards compat and safe on older
>> versions of Gtk+.

This client side windows Gtk+ is introducing in 2.17 assumes you only do Gtk+ 
calls.  But Emacs does a lot of pure X11 calls on the X11 windows created by 
Gtk+.  So eihter Emacs must go pure Gtk+ for the Gtk+ build, or we do a 
workaround.  The workaround seems most likely for now.

I'll get on it when I find some time.

	Jan D.